[DEFAULT]
tags = devtools
subsuite = devtools
support-files =
  head.js
  shared-head.js
  test-console-iframes.html
  test-console.html
  test-cu-reporterror.js
  test-iframe1.html
  test-iframe2.html
  test-iframe3.html
  test-image.png
  test-image.png^headers^
  test-worker.js
  !/devtools/client/shared/test/shared-head.js
  !/devtools/client/debugger/test/mochitest/shared-head.js
  !/devtools/client/framework/browser-toolbox/test/helpers-browser-toolbox.js
  !/devtools/client/shared/test/telemetry-test-helpers.js

[browser_console.js]
[browser_console_and_breakpoints.js]
[browser_console_chrome_context_message.js]
[browser_console_clear_cache.js]
[browser_console_clear_closed_tab.js]
[browser_console_clear_method.js]
skip-if = true # Bug 1437843
[browser_console_consolejsm_output.js]
[browser_console_content_getters.js]
[browser_console_content_longstring.js]
[browser_console_content_object_context_menu.js]
[browser_console_content_object_in_sidebar.js]
[browser_console_content_object.js]
[browser_console_context_menu_entries.js]
skip-if = (os == "linux") || (os == "win") || (os == "mac" && !debug) # Bug 1440059, disabled for all build types, Bug 1609460
[browser_console_context_menu_export_console_output.js]
[browser_console_dead_objects.js]
[browser_console_devtools_loader_exception.js]
[browser_console_eager_eval.js]
[browser_console_error_source_click.js]
[browser_console_filters.js]
[browser_console_jsterm_await.js]
[browser_console_nsiconsolemessage.js]
[browser_console_open_or_focus.js]
[browser_console_restore.js]
skip-if = verify
[browser_console_screenshot.js]
[browser_console_webconsole_console_api_calls.js]
[browser_console_webconsole_ctrlw_close_tab.js]
[browser_console_webconsole_iframe_messages.js]
[browser_console_webconsole_private_browsing.js]
skip-if =
  os == "mac" # Bug 1689000
  os == "linux" && debug # Bug 1689000
[browser_console_webextension.js]
[browser_console_window_object_inheritance.js]
[browser_toolbox_console_new_process.js]
skip-if =
  asan || debug || ccov # Bug 1591590
  os == 'win' && bits == 64 && !debug # Bug 1591590
[browser_console_microtask.js]
